%Bc. Roman Slabý 
% Převod binarniho čísla na dec
%Určeno pro převod v cisla znazorněného v editboxu
%pm (počet míst) určuje počet čísel pro převod 
%př: pm=4   vstup 0000-1111   vystup 0 - 15
%    pm=2   vstup 00-11       vystup 0 - 3


function [Dec] = fce_dec_4binstr(a,pm);

    for n=1:pm
        cislo=a(n:n);
        cislo=str2num(cislo);
        bin(n)=cislo;  
    end
    
    a=0;dec=0;Dec=0;

    for n=1:pm
            dec=a+((2^(pm-n))*bin(n));
            Dec=Dec+dec;            
    end
end